<div id="top"></div>

<div fxLayout='column' class="container">
  
    <div fxFlex="50" fxLayout="column" fxLayout.lt-md="column" class="shuttle-title">
      <mat-card fxLayoutAlign="center center" class="shuttle_header">
        <mat-card-header>Shuttle Information</mat-card-header>
      </mat-card>
    </div>
    
    <div fxFlex="50" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="1%">        
      <div fxFlex="30" class="shuttle-info">     
        <!-- <mat-card fxFlexFill > -->
          <mat-accordion class="example-headers-align">
              <mat-expansion-panel class="accordion-panel" (opened)="setImg(shuttle_initial.img)" (closed)="resetImg()" *ngFor="let shuttle_initial of shuttle">
                <mat-expansion-panel-header>
                  <mat-panel-title >									
                    <mat-icon class="shuttle-icon">directions_bus</mat-icon>
                    <div class="accordion-title">
                      {{shuttle_initial.title}}
                    </div>									
                  </mat-panel-title>
                  <!-- <mat-panel-description>
                    Detail alamat shuttle point 
                  </mat-panel-description> -->
                </mat-expansion-panel-header>
            
                <div class="shuttle-card">
                  <div class="shuttle-card-center">
                    <div class="shuttle-card-img">
                      <!-- <img mat-card-image src="{{shuttle_initial.img}}" alt="Photo of a Shuttle Info"> -->
                    </div>
                    <div class="shuttle-card-info">
                      <table>
                        <tr>
                          <td>Shuttle point</td>
                          <td> : </td>
                          <td>{{shuttle_initial.shuttle_point}}</td>
                        </tr>
                        <tr>
                          <td>Departure time</td>
                          <td> : </td>
                          <td>{{shuttle_initial.departure_time}}</td>
                        </tr>
                        <tr>
                          <td>PIC (contact)</td>
                          <td> : </td>
                          <td>{{shuttle_initial.pic}}</td>
                        </tr>
                      </table>
                    </div>
                  </div>
                </div>
                
              </mat-expansion-panel>
              
          </mat-accordion>
        <!-- </mat-card> -->
      </div>
      <div fxFlex="70" class="shuttle-img">
        <div class="shuttle-img">
          <img src="{{img}}" alt="Lokasi BLI">	
        </div>          
      </div>
    </div>
  </div>
  
  <!-- <h1>Shuttle Information</h1>
  
  <mat-accordion class="example-headers-align">
    <mat-expansion-panel  [expanded]="step === 0" (opened)="setStep(0)" hideToggle *ngFor="let shuttle_initial of shuttle">
      <mat-expansion-panel-header>
        <mat-panel-title>
          
          <mat-icon>directions_bus</mat-icon>
          {{shuttle_initial.title}}
        </mat-panel-title>
        <mat-panel-description>
          Detail alamat shuttle point 
        </mat-panel-description>
      </mat-expansion-panel-header>
  
      <div class="shuttle-card">
        <div class="shuttle-card-center">
          <div class="shuttle-card-img">
            <img mat-card-image src="{{shuttle_initial.img}}" alt="Photo of a Shuttle Info">
          </div>
          <div class="shuttle-card-info">
            <table>
              <tr>
                <td>Shuttle point</td>
                <td> : </td>
                <td>{{shuttle_initial.shuttle_point}}</td>
              </tr>
              <tr>
                <td>Departure time</td>
                <td> : </td>
                <td>{{shuttle_initial.departure_time}}</td>
              </tr>
              <tr>
                <td>PIC (contact)</td>
                <td> : </td>
                <td>{{shuttle_initial.pic}}</td>
              </tr>
            </table>
          </div>
        </div>
      </div>
      
    </mat-expansion-panel>
    
  </mat-accordion>
   -->
  